List all plugin catalogs
GET /api/plugins/catalogs
GET /api/plugins/catalogsInteractive request editor loads with JavaScript.
X-API-KEY<token>
In: header
Response Body
application/json
application/json
curl -X GET "$API_BASE_URL/api/plugins/catalogs"Successfully retrieved the list of plugin catalog categories.
{
"value": [
"General",
"Traffic",
"Observability",
"Serverless",
"Security",
"Transformation",
"Authentication",
"Other protocols"
]
}Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.
{
"value": {},
"error_msg": "error message"
}Complete operation details and schema variants
GET /api/plugins/catalogs
List all plugin catalogs
Parameters
Responses
200: Successfully retrieved the list of plugin catalog categories.- allOf variant 1
value(object, optional): The specific resource.- allOf variant 2
value(array, optional):400: Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.value(object, optional): The specific resource.error_msg(string, optional): The error message.
cURL
curl -X GET '$API_BASE_URL/api/plugins/catalogs'